Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

what version of linux does this work on?

It should run on a lot of distros. Dependencies are

libc6-dev-i386
libstdc++6:i386
libopenal1:i386
libxxf86vm1:i386
libglu1:i386
libcurl3:i386
libxrandr2:i386

I did describe things in a bit more detail on Reddit.